<?
@$id=$_REQUEST['id'];
if($id){
        myspace($id);
}
function myspace($id){
$url="http://in.myspace.com/music/services/player?action=getSong&songId=$id";
$obj=simplexml_load_string(file_get_contents($url));
$rtmp=$obj->trackList->track->rtmp;
$arr=array('rtmp'=>'http','myspace-'=>'');
$rtmp=strtr($rtmp,$arr);
header("location:$rtmp");
}

?>